@import "../content/header/top_bar";

#header {
  position: sticky;
  z-index: 20;
  top: 0;
  width: 100%;
  background-color: var(--white);
  transition: var(--transition);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);

  > .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    position: relative;

    @include media("md") {
      padding-top: 1rem;
      padding-bottom: 1rem;
    }
  }
  
}

#header .search-opener {
  display: flex;
  margin-right: 2rem;
  order: 1;
}

#header .header-search {
  
  @include media("md") { flex: 1 }

  &.-active .search-form {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
    transform: translateY(0);
  }

  > .search-form {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    border: 1px solid var(--gray-2);
    background-color: var(--white);
    padding: 0.4rem 1rem;
    width: 100%;
    position: absolute;
    top: 100%;
    left: 0;
    transform: translateY(-1rem);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: var(--transition);

    @include media("md") {
      width: 26rem;
      display: flex;
      border-radius: 0.4rem;
      position: static;
      opacity: 1;
      visibility: visible;
      pointer-events: all;
      transform: none;

      &:hover {
        filter: brightness(0.95);
      }
      
      &:active,
      &:focus-within,
      &:focus {
        filter: initial;
        opacity: 1;
        border-color: var(--primary-color);
      }
    }

  }

  > .search-form .field {
    width: 100%;
  }

  > .search-form input {
    background-color: transparent;
    border: 0;
    height: 3.6rem;
    width: 100%;
    padding: 0;
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    -webkit-appearance: none;

    &:focus { outline: none }
  }

  > .search-form .search-action {
    display: flex;
    padding-right: 2rem;

    .icon {
      height: 1.6rem;
      width: 1.6rem;
    }
  }

  > .search-closer { display: none }

}

#header .logo {
  flex: 1;
  display: flex;
  justify-content: center;

  a {
    display: block;
    width: max-content;
  }

  img {
    width: 15rem;
    object-fit: contain;

    @include media("md") { width: 20rem }
  }
}

#header .actions {
  align-items: center;
  display: flex;
  justify-content: flex-end;
  gap: 2rem;
  order: 2;

  @include media("md") { flex: 1 }

  > .account .account-button,
  > .cart .cart-button {
    font-size: var(--font-size-small);
    transition: var(--transition);
    &:hover { opacity: 0.5 }
  }

  > .account {
    font-weight: var(--font-weight-base);
    line-height: 1;
    display: none;

    @include media("md") { display: block }
  }

  > .cart .cart-button {
    font-weight: var(--font-weight-base);
    line-height: 1;
    display: flex;
    align-items: center;
    gap: 1rem;
    position: relative;
  }

  > .cart .count {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--font-size-small);
    height: 1.6rem;
    width: 1.6rem;
    line-height: var(--line-height);
    border-radius: 50%;
    background-color: var(--secondary-color);
    color: var(--white);
    position: absolute;
    top: -1rem;
    right: -0.8rem;

    @include media("md") {
      position: static;
    }
  }

}

#header .hamburger {
  display: flex;

  @include media("md") {
    display: none
  }
}
